## mx4j.tools.heartbeat
Interface HeartBeatListenerControl

All Known Implementing Classes:
  HeartBeatListener

public interface HeartBeatListenerControl

Interface to be implemented by HeartBeatListener. Adds local interface to be used by clients monitoring status of communication.

Version:
  $Revision: 1.7 $

Field Summary
`static java.lang.String` `LOST_HEARTBEAT`

Method Summary
`void` `registerObserver(RemoteMBeanServer connector, java.lang.Object connectorType, java.lang.Object address, java.lang.String sourceCanonName, javax.management.NotificationListener observer)` Add listener to a remote heartbeat source and register application to receive heart beat failure notification from HeartBeatListener.
`void` `unregisterObserver(java.lang.String sourceCanonName, javax.management.NotificationListener listener)` Removes the specified heartbeat observer.

Field Detail

### LOST_HEARTBEAT

    public static final java.lang.String LOST_HEARTBEAT

See Also:
  Constant Field Values

Method Detail

### registerObserver

    public void registerObserver(RemoteMBeanServer connector,
                                 java.lang.Object connectorType,
                                 java.lang.Object address,
                                 java.lang.String sourceCanonName,
                                 javax.management.NotificationListener observer)
                          throws javax.management.MalformedObjectNameException,
                                 javax.management.InstanceNotFoundException,
                                 javax.management.MBeanException,
                                 javax.management.ReflectionException,
                                 java.io.IOException

  Add listener to a remote heartbeat source and register application to receive heart beat failure notification from HeartBeatListener.

  Throws:
    `javax.management.MalformedObjectNameException`
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### unregisterObserver

    public void unregisterObserver(java.lang.String sourceCanonName,
                                   javax.management.NotificationListener listener)

  Removes the specified heartbeat observer.

Copyright © 2001-2003 MX4J Team. All Rights Reserved.